from OmniAnomaly import OmniAnomaly
import sys
import pathlib
sys.path.append(str(pathlib.Path.absolute)+ '../../')
from src.run_model_wrapper import main

#optimal hyperparameters from autors: {'win_size': 5, 'lr': 0.002}
params = {
        'win_size': [5, 50, 100],
        'lr': [0.002, 0.0002]
    }

def run_OmniAnomaly(data_train, data_test, win_size=100, lr=0.002):
    clf = OmniAnomaly(win_size=win_size, feats=data_test.shape[1], lr=lr)
    clf.fit(data_train)
    score = clf.decision_function(data_test)
    return score.ravel()

model = 'OmniAnomaly'
output_path = '../../../docs/evaluation/'

#writes results in .csv
main(run_OmniAnomaly,params,model,data_folders = '../../../data/', model_type='semisupervised',output_dir = output_path)

#pip3 install -r requirements.txt
# python src/models/desi/call_poly.py