from LSTMAD import LSTMAD
import sys
import pathlib
sys.path.append(str(pathlib.Path.absolute)+ '../../')
from src.utils.slidingWindows import find_length_rank
from src.run_model_wrapper import main

#optimal hyperparameters from autors: {'window_size': 100, 'lr': 0.0008}
params = {
        'window_size': [50, 100, 150],
        'lr': [0.0004, 0.0008]
}

def run_LSTMAD(data_train, data_test, window_size=100, lr=0.0008):
    clf = LSTMAD(window_size=window_size, pred_len=1, lr=lr, feats=data_test.shape[1], batch_size=128)
    clf.fit(data_train)
    score = clf.decision_function(data_test)
    return score.ravel()

model = 'run_LSTMAD'
output_path = '../../../docs/evaluation/'

#writes results in .csv
main(run_LSTMAD,params,model,data_folders = '../../../data/', model_type='semisupervised',output_dir = output_path)

#pip3 install -r requirements.txt
# python src/models/desi/call_poly.py