from POLY import POLY
import sys
import pathlib
sys.path.append(str(pathlib.Path.absolute)+ '../../')
from src.utils.slidingWindows import find_length_rank
from src.run_model_wrapper import main

#optimal hyperparameters from autors: 'POLY': {'periodicity': 1, 'power': 4}
params = {
        'periodicity': [1, 2, 3],
        'power': [1, 2, 3, 4,5]
}

def run_POLY(data, periodicity=1, power=3, n_jobs=1):
    slidingWindow = find_length_rank(data, rank=periodicity)
    clf = POLY(power=power, window = slidingWindow)
    clf.fit(data)
    score = clf.decision_scores_
    return score.ravel()

model = 'POLY'
output_path = '../../../docs/evaluation/'

#writes results in .csv
main(run_POLY,params,model,data_folders = '../../../data/', model_type='unsupervised',output_dir = output_path)

#pip3 install -r requirements.txt
# python src/models/desi/call_poly.py