from LOF import LOF
import sys
import pathlib
sys.path.append(str(pathlib.Path.absolute)+ '../../')
from src.run_model_wrapper import main

#optimal hyperparameters from autors: {'periodicity': 1, 'n_neighbors': 50}
params = {
        'n_neighbors': [10, 20, 30, 40, 50]
}

def run_LOF(data, slidingWindow=1, n_neighbors=30, metric='minkowski', n_jobs=1):
    clf = LOF(slidingWindow=slidingWindow, n_neighbors=n_neighbors, metric=metric, n_jobs=n_jobs)
    clf.fit(data)
    score = clf.decision_scores_
    return score.ravel()

model = 'LOF'
output_path = '../../../docs/evaluation/'

#writes results in .csv
main(run_LOF,params,model,data_folders = '../../../data/', model_type='unsupervised',output_dir = output_path)

#pip3 install -r requirements.txt
# python src/models/desi/call_poly.py