from CNN import CNN
import sys
import pathlib
sys.path.append(str(pathlib.Path.absolute)+ '../../')
from src.run_model_wrapper import main

#optimal hyperparameters from autors: {'window_size': 50, 'num_channel': [32, 32, 40]}
params = {
        'window_size': [50, 100, 150],
        'lr': [5e-5, 1e-4, 5e-4, 8e-4, 1e-3]
    }

def run_CNN(data_train, data_test, window_size=100, num_channel=[32, 32, 40], lr=0.0008,batch_size=128, n_jobs=1):
    clf = CNN(window_size=window_size, num_channel=num_channel, feats=data_test.shape[1], lr=lr, batch_size=batch_size)
    clf.fit(data_train)
    score = clf.decision_function(data_test)
    return score.ravel()

model = 'CNN'
output_path = '../../../docs/evaluation/'

#writes results in .csv
main(run_CNN,params,model,data_folders = '../../../data/', model_type='semi-supervised',output_dir = output_path)

#pip3 install -r requirements.txt
# python src/models/desi/call_poly.py