from IForest import IForest
import sys
import pathlib
sys.path.append(str(pathlib.Path.absolute)+ '../../')
from src.utils.slidingWindows import find_length_rank
from src.run_model_wrapper import main

#optimal hyperparameters from autors: {'n_estimators': 200}
params = {
        'n_estimators': [25, 50, 100, 150, 200]
    }

def run_IForest(data, slidingWindow=100, n_estimators=100, max_features=1, n_jobs=1):
    clf = IForest(slidingWindow=slidingWindow, n_estimators=n_estimators, max_features=max_features, n_jobs=n_jobs)
    clf.fit(data)
    score = clf.decision_scores_
    return score.ravel()

model = 'IForest'
output_path = '../../../docs/evaluation/'

#writes results in .csv
main(run_IForest,params,model,data_folders = '../../../data/', model_type='unsupervised',output_dir = output_path)

#pip3 install -r requirements.txt
# python src/models/desi/call_poly.py